clang-tools 6.0.0

Classes | Namespaces
UniqueptrDeleteReleaseCheck.h File Reference
`#include "../ClangTidy.h"`
Include dependency graph for UniqueptrDeleteReleaseCheck.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::tidy::readability::UniqueptrDeleteReleaseCheck
| Flags statements of the form `delete <unique_ptr expr>.release();` and replaces them with: `<unique_ptr expr> = nullptr;` More...

## Namespaces
| clang
| clang::tidy
| clang::tidy::readability